Index: src/uk/me/parabola/mkgmap/osmstyle/function/IsInFunction.java
===================================================================
--- src/uk/me/parabola/mkgmap/osmstyle/function/IsInFunction.java	(revision 4492)
+++ src/uk/me/parabola/mkgmap/osmstyle/function/IsInFunction.java	(working copy)
@@ -449,11 +449,12 @@
 
 	public static ElementQuadTree buildTree(ElementSaver elementSaver, String tagKey, String tagVal) {
 		List<Element> matchingPolygons = new ArrayList<>();
+		boolean matchAllValues = "*".equals(tagVal);
 		for (Way w : elementSaver.getWays().values()) {
 			if (w.hasIdenticalEndPoints()
 					&& !"polyline".equals(w.getTag(MultiPolygonRelation.STYLE_FILTER_TAG))) {
 				String val = w.getTag(tagKey);
-				if (val != null && val.equals(tagVal)) {
+				if (val != null && (matchAllValues || val.equals(tagVal))) {
 					matchingPolygons.add(w);
 				}
 			}
